#include "testlib.h"
#include <stdio.h>

const int MAXN = 1000000;
const int MAX_DIFF = 10;

int main(int argc, char *argv[]) {
  setName ("intset checker");
  registerTestlibCmd (argc, argv);
  int n = inf.readInt (1, MAXN);
  int ja = ans.readInt (0, n);
  int pa = ouf.readInt (0, n);
  int d = ja - pa;
  if (d < 0) {
    d *= -1;
  }
  if (d > MAX_DIFF) {
    quitf (_wa, "expected %d, found %d. |%d-%d| = %d > %d"  , ja, pa, ja, pa, d, MAX_DIFF);
  }
  quitf (_ok, "output is %d, difference is %d", pa, d);
}
